Bug 1019100 - Definition of security constrain per Queue/Topic creation shouldn't be enforced
Definition of security constrain per Queue/Topic creation shouldn't be enforced
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 5 (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity high
: ER04
: JON 3.2.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks: 1015504
  Show dependency treegraph
 
Reported: 2013-10-15 03:31 EDT by Radim Hatlapatka
Modified: 2014-01-02 15:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radim Hatlapatka 2013-10-15 03:31:51 EDT
Description of problem:

When creating new Queue/Topic there is required to fill Security Configurations. It doesn't make sense to fill it on per Queue/Topic basis. Per discussion with our messaging guy, there is possible to define the permissions more globally.

Therefore this shouldn't be required only left as optional setting if needed to be set different for specific Queue/Topic


Version-Release number of selected component (if applicable):
JON 3.2.0.ER3 vs EAP 5.2.0

How reproducible: always

Steps to Reproduce:
1. import EAP 5 server
2. in server->JBoss Messaging->inventory->create child->Queue/Topic
3. one of required parts is to fill Security Configurations 


Actual results:
The Security Configurations needs to be filled with at least two entries


Expected results:
Security Configurations shouldn't be required to be set


Additional info:
requirement to put at least two Security Configurations does make even less sense.
Comment 1 Jirka Kremser 2013-10-17 13:07:27 EDT
branch:  release#jon3.2.x
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=b69353ea3
time:    2013-10-17 19:02:32 +0200
commit:  b69353ea32edb5fe790513fb51bf3efd32aafcbd
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1019100] - Definition of security constrain per Queue/Topic creation
         shouldn't be enforced - there is no need to require at least
         two items of "Security Configurations". The security for
         topics/queues can be set globally somewhere else or even turned off.
Comment 2 Simeon Pinder 2013-10-24 00:10:18 EDT
Moving to ON_QA for testing in the next build.
Comment 3 Radim Hatlapatka 2013-11-01 12:12:55 EDT
Verified in JON 3.2.0.ER4

Note You need to log in before you can comment on or make changes to this bug.